post
https://api.marketcircle.net/v1/forms
Create a form
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
See Form for the attributes and how to fill in field values. definition is required: it is the form definition the form is based on, and it can't be changed later.
{
"name": "Site Visit",
"definition": "/v1/form_definitions/1000",
"contacts": [{ "contact": "/v1/contacts/1000" }],
"values": [
{ "name": "Inspector notes", "value": "All good" },
{ "name": "Rating", "value": 4 },
{ "name": "Areas checked", "values": ["Roof", "Basement"] }
]
}A successful request returns 201 Created with the new form's reference, e.g. {"location": "/v1/forms/6724005"}.